@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,200;0,400;0,500;0,600;0,700;0,800;1,400;1,500&display=swap');
* { padding: 0px; margin: 0px; border: 0px; box-sizing: border-box;}
:root {
	--first-color: #1d57da;
	--bg: #0F131A;
}
*, *:before, *:after {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}
::-webkit-scrollbar {
  width: 7px;
}
::-webkit-scrollbar-thumb { 
    background: linear-gradient(180deg, #7E2DE0 0%, #312690 100%);
      border-radius: 1rem;
}
html, body {
	position: relative;
	height: 100%;
	min-width: 320px;
}

html {
	background-color: var(--bg);
	background-repeat: repeat;
	background-position: center;
	background-size: cover;
	background-attachment: fixed;
}
body {
	line-height: 1;
	color: white;
	font-family: "Montserrat";
	font-size: 1rem;
	-ms-text-size-adjust: 100%;
	-moz-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	
}
input, button, textarea {
	font-family: "Montserrat";
	font-size: inherit;
	outline: none;
	border: 1px solid transparent;
}
button {
	cursor: pointer;
	color: inherit;
	background-color: inherit;
}
input::-webkit-search-decoration, input::-webkit-search-cancel-button, input::-webkit-search-results-button, input::-webkit-search-results-decoration {
	display: none;
}
a {
	color: inherit;
}
a:link, a:visited {
	text-decoration: none;
}
a:hover {
	text-decoration: none;
}
ul li {
	list-style: none;
}
img {
	vertical-align: top;
}
h1, h2, h3, h4, h5, h6 {
	font-weight: inherit;
	font-size: inherit;
}
h1, h2 {
    font-size: 1.3rem;
}
.wrapper {
    padding: 1rem 0 1rem 0;
}
[class*=__container], .container {
	width: 100%;
	max-width: 1200px;
	padding: 0 0.9375rem;
	margin: 0 auto;
}
    .header {
        padding: 1rem 2rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .header__logo {
        display: flex;
        gap: 1rem;
        user-select: none;
                align-items: center;
    }
    .header__logo p {
        font-weight: 700;
        font-size: 26px;
        padding-bottom: 0.4rem;
    }
    .header__logo p>span {
        font-size: 32px;
    }
    .header__menu {
        display: flex;
        gap: 1.5rem;
        align-items: center;
        font-size: 14px;
    }
    .header__menu li {
        display: flex;
        gap: .5rem;
        align-items: center;
    }
    .header__menu li img {
        width: 18px;
        height: 18px;
    }
    .header__login {
        display: flex;
        gap: 1rem;
        align-items: center;
        user-select: none;
    }
    .header__login li {
        padding: 0.5rem 1rem;
        cursor: pointer;
    }
    #login-btn {
        border: 1px solid #7E2DE0;
        border-radius: 0.5rem;
    }
    #reg-btn {
        background: linear-gradient(90deg, #7E2DE0 0%, #312690 100%);
        box-shadow: 0px 0px 30px rgba(116, 44, 215, 0.5);
        border-radius: 0.5rem;
    }
    
    @media(max-width: 985px) {
        .header__menu {
            display: none;
        }
        #reg-btn {
            display: none;
        }
        #login-btn {
            background: linear-gradient(90deg, #7E2DE0 0%, #312690 100%);
            box-shadow: 0px 0px 30px rgba(116, 44, 215, 0.5);
            border-radius: 0.5rem;
        }
    }
    @media(max-width: 675px) {
        #login-btn {
            font-size: 14px;
        }
        .header__logo p {
            font-size: 22px;
        }
        .header__logo p>span {
            font-size: 28px;
        }
    }
    @media(max-width: 535px) {
        .header {
            padding: 1rem 1rem;
        }
    }
    /* твои стили, ничего не трогаю */
    
/* */
    .header-bg {
    position: relative; /* чтобы псевдоэлемент был внутри */
    height: 250px;
}

.header-bg::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: url(/assets/img/wot-header.webp) no-repeat top;
    background-size: cover; /* или другой размер по желанию */
    transform: scaleX(-1);
    transform-origin: center; /* чтобы зеркалирование происходило относительно центра */
    z-index: -1; /* чтобы фон был позади содержимого */
}
    .header-bg__container {
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        gap: 1.5rem;
    }
    .header-bg__text {
        font-size: 32px;
        font-weight: 600;
    }
    .header-bg__btn {
        display: flex;
        background: linear-gradient(90deg, #7E2DE0 0%, #312690 100%);
        box-shadow: 0px 0px 30px rgba(116, 44, 215, 0.5);
        padding: 1rem 3rem;
        border-radius: 1rem;
    }
    @media (max-width: 850px) {
        .header-bg__text {
            font-size: 26px;
        }
        .header-bg__btn {
            font-size: 13px;
            padding: 0.75rem 1.5rem;
            border-radius: 0.5rem;
        }
        .header-bg {
            height: 200px;
        }
    }
    @media (max-width: 575px) {
       .header-bg__text {
            font-size: 22px;
        }
        .header-bg {
            height: 170px;
        } 
    }
    /* категории */
    .categories-title {
        margin-top: 1rem;
        font-size: 22px;
        font-weight: 600;
    }
    .categories {
        margin-top: 1.5rem;
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1rem;
        margin-bottom: 2.5rem;
    }
    .category {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 4rem 2rem;
        border-radius: 1rem;
        background-color: rgba(255,255,255,0.05);
        border: 1px solid rgba(255,255,255,0.1);
    }
    .category-text {
        line-height: 1.5rem;
    }
    .category-text p:last-child {
        display: flex;
        align-items: center;
        font-size: 14px;
        gap: 0.5rem;
    }
    .category-text p:first-child {
        font-size: 20px;
        font-weight: 600;
    }
    .category a {
        background-color: rgba(123, 45, 221, 1);
        padding: 1rem 1.5rem;
        border-radius: 1rem;
        transition: all .1s ease-in;
        font-size: 14px;
    }
    .category a:hover {
        transform: scale(1.1);
    }
    .wot-category-bg {
        background: url(/assets/img/wot-category-bg.webp);
        background-size: 100%;
        transition: background-size 0.3s ease;
    }
    .wot-category-bg:hover {
        background-size: 110%;
    }
    .blitz-category-bg {
        background: url(/assets/img/blitz-category-bg.webp);
        background-size: 100%;
        transition: background-size 0.3s ease;
    }
    .blitz-category-bg:hover {
        background-size: 110%;
    }
    
    @media(max-width: 850px) {
        .categories {
            grid-template-columns: 1fr;
        }
        .category {
            padding: 2rem 2rem;
        }
        .wot-category-bg, .blitz-category-bg {
            background-size: cover;
        }
        .wot-category-bg:hover, .blitz-category-bg:hover {
            background-size: cover;
        }
    }
    @media(max-width: 750px) {
        .categories-title {
            font-size: 16px;
        }
        .category a {
            padding: 0.75rem 1.5rem;
            font-size: 13px;
            border-radius: .5rem;
        }
    }
    /* */
    .hiw-title {
        font-size: 22px;
        font-weight: 600;
        margin-bottom: 1.5rem;
    }
    .hiw {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 1rem;
    }
    .hiw li {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        align-items: center;
        background-color: rgba(255,255,255,0.1);
        background: url('../../assets/img/hiw-bg.png');
        background-size: 350%;
        background-position: center;
        padding: 1rem 1rem;
        border-radius: 1rem;
        border: 1px solid rgba(255,255,255,0.1);
    }
    .hiw-item-text {
        display: flex;
        flex-direction: column;
        gap: 0.75rem;
        text-align: center;
        align-items: center;
        line-height: 1.5rem;
    }
    .hiw-item-light {
        width: 70%;
        height: 6px;
        border-radius: 1rem;
        background: linear-gradient(90deg, #A155FF, #312690);
        background-size: 200% 100%;
        animation: slideGradient 3s ease-in-out infinite alternate;
    }

@keyframes slideGradient {
    from {
        background-position: 0% 50%;
    }
    to {
        background-position: 100% 50%;
    }
}

    .hiw>li p:first-of-type {
        font-size: 18px;
        font-weight: 600;
    }
    .hiw>li p:last-of-type {
        font-size: 13px;
        color: rgba(255,255,255,0.7);
    }
    
    @media(max-width: 1000px) {
        .hiw {
            grid-template-columns: repeat(2, 1fr);
        }
    }
    
    @media(max-width: 750px) {
        .hiw-title {
            font-size: 16px;
        }
        .hiw>li p:first-of-type {
            font-size: 15px;
        }
        .hiw>li p:last-of-type {
            font-size: 12px;
        }
        .hiw-item-text {
            line-height: 1.1rem;
        }
    }
    
/* faq */
.faq {
    margin-top: 2rem;
}
.faq-header {
    background: url(../../assets/img/faq-bg.webp);
    height: 200px;
    border-radius: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    row-gap: 1rem;
}
.faq-header p {
    font-size: 28px;
    font-weight: 600;
}
.faq-header a {
    padding: 0.5rem 1rem;
    border: 2px solid white;
    border-radius: 1rem;
    font-size: 14px;
}
.faq-items {
    margin-top: 1rem;
}
.faq-item {
  background-color: rgba(255,255,255,0.05);
  margin-bottom: 10px;
  border-radius: 8px;
  overflow: hidden;
  transition: max-height 0.5s ease, padding 0.3s ease;
  max-height: 50px; /* высота только заголовка */
  cursor: pointer;
  /* добавим немного padding для визуала */
}

.faq-question {
  padding: 15px;
  font-weight: 500;
  font-size: 14px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.faq-answer {
  padding: 0 15px;
  max-height: 0;
  font-size: 14px;
  color: rgba(255,255,255,0.6);
  overflow: hidden;
  transition: max-height 0.5s ease, padding 0.3s ease;
}

/* когда открыт, показываем ответ */
.faq-item.open {
  max-height: 500px; /* достаточно большое, чтобы вместить весь текст */
}

.faq-item.open .faq-answer {
  max-height: 300px; /* или больше, в зависимости от текста */
  padding: 10px 15px;
}

/* стиль плюса/минуса */
.toggle {
  font-size: 24px;
  transition: transform 0.3s ease;
  color: #A155FF;
}
/* */

@media(max-width: 850px) {
   .faq-header { 
       height: 160px; 
   }
   .faq-header p {
        font-size: 22px;
        font-weight: 600;
    }
    .faq-header a {
        font-size: 12px;
    }
    .faq-question {
        font-size: 13px;
    }
    .faq-answer {
        font-size: 12px;
    }
}
/* футер */
.footer {
    margin-top: 75px;
    background: rgba(255,255,255,0.05);
    border-top: 2px solid rgba(255,255,255,0.1);
    background-size: 100%;
    background-position: center;
}
.footer__container {
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
.footer__first-row {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}
.footer__logo {
    display: flex;
    gap: 1rem;
    user-select: none;
    align-items: center;
}
.footer__logo-text p:first-child {
    font-weight: 700;
    font-size: 26px;
    padding-bottom: 0.4rem;
}
.footer__logo-text p:last-child {
    font-size: 12px;
    color: rgba(255,255,255,0.5);
}
.footer__logo-text p:first-child>span {
    font-size: 32px;
}
.footer__first-row>ul p {
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 1rem;
}
.footer__first-row li {
    font-size: 12px;
    color: #A155FF;
    text-decoration: underline;
}
.footer__second-row {
    margin-top: 1rem;
    border-top: 1px solid rgba(255,255,255,0.05);
    padding-top: 1rem;
    display: flex;
    justify-content: space-between;
    gap: 5rem;
}
.footer__second-row p {
   font-size: 12px;
   color: rgba(255,255,255,0.5);
}
.footer-cards {
    display: flex;
    gap: 1rem;
}
.footer-cards img {
    height: 30px;
}
@media(max-width: 850px) {
    .footer {
        margin-top: 35px;
    }
}
@media(max-width: 750px) {
    .footer__first-row {
        display: grid;
        grid-template-columns: 1fr;
        row-gap: 1rem;
    }
    .footer__second-row { 
        display: grid;
        grid-template-columns: 1fr;
        gap: 1rem;
        justify-content: center;
    }
    .footer-cards {
        justify-content: center;
    }
    .footer-cards img {
        height: 22px;
    }
    .footer__second-row p {
        text-align: center;
    }
}
/* */